Skip to main content
Version: API v1

Hole PHP Accounts eines Kunden

GET/v1/customers/{customerNumber}/php-accounts
API version
v1
Request method
GET
Operation ID
getCustomerPhpAccounts

Hole alle vom Kunden einsehbaren PHP-Accounts.

Request​

  • customerNumberinteger
    required

    Die Kundennummer

Responses​

Format
application/json
Description

Die Accounts mit PHP des Kunden.

  • Array[
    • *object
      • accountstring
        required
      • descriptionstring
        required
      • technicalAdvisedboolean
        required
      • phpVersionstring
        required
      • priceInCentnumber
        required
      • resellerstring
        required
      • tariffstring
        required
      • commentstring
        required
      • installationsstring
      • feeStartDatestring (date)
        required
      • startDatestring (date)
      • graveyardDatestring (date)
      • purgeDatestring (date)
      • statusarray of object
        required
        • Array[
          • *object
            • typestring (one of: DEACTIVATED, TYPO3_ELTS_INCLUSIVE, GRACE_PERIOD)
            • additionalInfonumber
          ]
      • extraobject
        • domainCountnumber
          required
        • mailboxCountnumber
          required
    ]
Content-Type: application/json

[
{
"account": "string",
"description": "string",
"technicalAdvised": true,
"phpVersion": "string",
"priceInCent": 123,
"reseller": "string",
"tariff": "string",
"comment": "string",
"installations": "string",
"feeStartDate": "string",
"startDate": "string",
"graveyardDate": "string",
"purgeDate": "string",
"status": [
{
"type": "DEACTIVATED",
"additionalInfo": 123
}
],
"extra": {
"domainCount": 123,
"mailboxCount": 123
}
}
]
{
"type": "array",
"items": {
"type": "object",
"required": [
"account",
"description",
"technicalAdvised",
"phpVersion",
"priceInCent",
"reseller",
"tariff",
"comment",
"feeStartDate",
"status"
],
"properties": {
"account": {
"type": "string"
},
"description": {
"type": "string"
},
"technicalAdvised": {
"type": "boolean"
},
"phpVersion": {
"type": "string"
},
"priceInCent": {
"type": "number"
},
"reseller": {
"type": "string"
},
"tariff": {
"type": "string"
},
"comment": {
"type": "string"
},
"installations": {
"type": "string"
},
"feeStartDate": {
"type": "string",
"format": "date"
},
"startDate": {
"type": "string",
"format": "date"
},
"graveyardDate": {
"type": "string",
"format": "date"
},
"purgeDate": {
"type": "string",
"format": "date"
},
"status": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"DEACTIVATED",
"TYPO3_ELTS_INCLUSIVE",
"GRACE_PERIOD"
]
},
"additionalInfo": {
"type": "number"
}
}
}
},
"extra": {
"type": "object",
"required": [
"domainCount",
"mailboxCount"
],
"properties": {
"domainCount": {
"type": "number"
},
"mailboxCount": {
"type": "number"
}
}
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/customers/123/php-accounts?type=json&extra=true

On this page